/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#include "file_11.h"
#include "file_7.h"
#include "file_31.h"
#include <stdio.h>
#include <stdlib.h>
#undef abs
#ifdef MATLAB_MEX_FILE
extern "C" {
#include "mex.h"
}
#endif
char* l_746(char *p) {
if (p!=NULL) {
return p;
} else {
return "\077";
}
}
M error(char *s) {
#ifdef MATLAB_MEX_FILE
l_747(s);
#else
matliberr<<"err\157r\072 "<<s<<endl;
exit(1);
#endif
return(sixpack_M);
}
M error(char *s, char *l_95) {
char l_33[200];
sprintf(l_33,s,l_746(l_95));
return error(l_33);
}
M error(char *s, char *l_95, char *l_96) {
char l_33[200];
sprintf(l_33,s,l_746(l_95),l_746(l_96));
return error(l_33);
}
M error(char *s, char *l_95, char *l_96, char *l_97) {
char l_33[200];
sprintf(l_33,s,l_746(l_95),l_746(l_96),l_746(l_97));
return error(l_33);
}
M error(char *s, char *l_95, char *l_96, char *l_97, char *l_98) {
char l_33[200];
sprintf(l_33,s,l_746(l_95),l_746(l_96),l_746(l_97), l_746(l_98));
return error(l_33);
}
M error(char *s, char *l_95, char *l_96, char *l_97, char *l_98,
char *l_99) {
char l_33[200];
sprintf(l_33,s,l_746(l_95),l_746(l_96),l_746(l_97),
l_746(l_98),l_746(l_99));
return error(l_33);
}
M warning(char *s) {
#ifdef MATLAB_MEX_FILE
l_747(s);
#else
matliberr<<"\167arn\151n\147\072 "<<s<<endl;
#endif
return(sixpack_M);
}
M warning(char *s, char *l_95) {
char l_33[200];
sprintf(l_33,s,l_746(l_95));
return warning(l_33);
}
M warning(char *s, char *l_95, char *l_96) {
char l_33[200];
sprintf(l_33,s,l_746(l_95),l_746(l_96));
return warning(l_33);
}
